import React from "react";
import classNames from "classnames";

const Thumbs = ({ likes, dislikes, onLike, onDislike, myVote }) => {
  return (
    <div>
      <div className="space-x-2 text-sm flex items-center">
        <button
          className={classNames("text-blue-300 flex items-center space-x-1", {
            "cursor-pointer": myVote === "none" || myVote === "like",
            "cursor-default": myVote === "dislike",
          })}
          disabled={myVote === "dislike"}
          onClick={onLike}
        >
          <span className="font-bold">{likes}</span>
          <i className="ico--thumbs-up"></i>
        </button>
        <button
          className={classNames("text-red-600 flex items-center space-x-1", {
            "cursor-pointer": myVote === "none" || myVote === "dislike",
            "cursor-default": myVote === "like",
          })}
          disabled={myVote === "like"}
          onClick={onDislike}
        >
          <i className="ico--thumbs-down transform -scale-x-1"></i>
          <span className="font-bold">{dislikes}</span>
        </button>
      </div>
    </div>
  );
};

export default React.memo(Thumbs);
